<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="3.css">
</head>

<body>
    <form action="#">
        <div>
            <label for="numeros">Escribe números separados por comas: </label>
            <input type="text" id="numeros" placeholder="Escribe números separados por comas">
        </div>
        <div>
            Con tres funciones
            <button type="button" onclick="sumar()">Sumar numeros</button>
            <button type="button" onclick="sumarPares()">Sumar pares</button>
            <button type="button" onclick="sumarPositivos()">Sumar positivos</button>
        </div>
        <div>
            Con una sola función
            <button type="button" onclick="operaciones('suma')">Sumar numeros</button>
            <button type="button" onclick="operaciones('sumaPares')">Sumar pares</button>
            <button type="button" onclick="operaciones('sumaPositivos')">Sumar positivos</button>
        </div>
        <div class="resultado"></div>
    </form>
    <script src="3.js"></script>
</body>

</html>